package opc.ua.services.common;

import opc.ua.addressspace.datatype.LocalizedText;

public class ViewAttributes {

	private long specifiedAttributes;
	private LocalizedText displayName;
	private LocalizedText description;
	private boolean containsNoLoops;
	private byte eventNotifier;
	private long writeMask;
	private long userWriteMask;
	
	
	public long getSpecifiedAttributes() {
		return specifiedAttributes;
	}
	public void setSpecifiedAttributes(long specifiedAttributes) {
		this.specifiedAttributes = specifiedAttributes;
	}
	public LocalizedText getDisplayName() {
		return displayName;
	}
	public void setDisplayName(LocalizedText displayName) {
		this.displayName = displayName;
	}
	public LocalizedText getDescription() {
		return description;
	}
	public void setDescription(LocalizedText description) {
		this.description = description;
	}
	public boolean isContainsNoLoops() {
		return containsNoLoops;
	}
	public void setContainsNoLoops(boolean containsNoLoops) {
		this.containsNoLoops = containsNoLoops;
	}
	public byte getEventNotifier() {
		return eventNotifier;
	}
	public void setEventNotifier(byte eventNotifier) {
		this.eventNotifier = eventNotifier;
	}
	public long getWriteMask() {
		return writeMask;
	}
	public void setWriteMask(long writeMask) {
		this.writeMask = writeMask;
	}
	public long getUserWriteMask() {
		return userWriteMask;
	}
	public void setUserWriteMask(long userWriteMask) {
		this.userWriteMask = userWriteMask;
	}
	
}
